Subject: Want to know what the real Russian girls love and warmth?

From: <[email-masked]>
Date: Wed, 3 Feb 2010 23:11:37 -0300

Have you seen my new photo? Come in - I bought a new panties. Ready to enter?